Esys_Clear(3)

NAME
Esys_Clear - The ESAPI function for the TPM2_Clear command.

SYNOPSIS

  Functions
TSS2_RC Esys_Clear_Async (ESYS_CONTEXT *esysContext, ESYS_TR authHandle, ESYS_TR shandle1, ESYS_TR shandle2, ESYS_TR shandle3)

Detailed Description

ESAPI function to invoke the TPM2_Clear command either as a one-call or in an asynchronous manner.

Function Documentation

  TSS2_RC Esys_Clear_Async (ESYS_CONTEXT * esysContext, ESYS_TR authHandle, ESYS_TR shandle1, ESYS_TR shandle2, ESYS_TR shandle3)
Asynchronous function for TPM2_Clear

This function invokes the TPM2_Clear command in a asynchronous variant. This means the function will return as soon as the command has been sent downwards the stack to the TPM. All input parameters are const. In order to retrieve the TPM's response call Esys_Clear_Finish.

Parameters
    esysContext The ESYS_CONTEXT.
    authHandle TPM2_RH_LOCKOUT or TPM2_RH_PLATFORM+{PP}.
    shandle1 Session handle for authorization of authHandle
    shandle2 Second session handle.
    shandle3 Third session handle.

Return values
    ESYS_RC_SUCCESS if the function call was a success.
    TSS2_ESYS_RC_BAD_REFERENCE if the esysContext or required input pointers or required output handle references are NULL.
    TSS2_ESYS_RC_BAD_CONTEXT if esysContext corruption is detected.
    TSS2_ESYS_RC_MEMORY if the ESAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_RCs produced by lower layers of the software stack may be returned to the caller unaltered unless handled internally.
    TSS2_ESYS_RC_MULTIPLE_DECRYPT_SESSIONS if more than one session has the 'decrypt' attribute bit set.
    TSS2_ESYS_RC_MULTIPLE_ENCRYPT_SESSIONS if more than one session has the 'encrypt' attribute bit set.
    TSS2_ESYS_RC_BAD_TR if any of the ESYS_TR objects are unknown to the ESYS_CONTEXT or are of the wrong type or if required ESYS_TR objects are ESYS_TR_NONE.
    TSS2_ESYS_RC_NO_DECRYPT_PARAM if one of the sessions has the 'decrypt' attribute set and the command does not support encryption of the first command parameter.
    TSS2_ESYS_RC_NO_ENCRYPT_PARAM if one of the sessions has the 'encrypt' attribute set and the command does not support encryption of the first response parameter.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.